<app-header></app-header>
<main class="content">
    <section class="fondo">
        <div class="row">
            <div class="col-md-4">
                <div class="box-home font-white">
                    <h1 class="title">Ama tu salud siéntete bien</h1>
                    <h3 class="subtitle">Advanced business solutions designed for the digital era</h3>
                    <p>
                        Nuestra misión es proporcionar información diagnóstica
                        relevante para una vida más saludable.
                    </p>
                    <h3 class="subtitle">¿Quiénes somos?</h3>
                    <p>
                        Somos el tercer laboratorio diagnóstico más grande del mundo, #1 en Europa , con presencia en
                        más de 40 países.

                        Trabajamos para alcanzar la excelencia en el servicio a los pacientes y a la comunidad médica en
                        general con diagnósticos confiables y oportunos para una vida más saludable.

                        En Colombia brindamos una oferta integral de servicios de Laboratorio Clínico y Medicina Laboral
                        dirigidos a: Pacientes, Médicos, Compañías Aseguradoras, Hospitales, Clínicas, Empresas y otros
                        Laboratorios.

                        Somos el resultado de la unión de los principales laboratorios del país...
                    </p>
                </div>
            </div>
            <div class="col-md-8">
                <section class="box-home">
                    <div class="card">
                        <div class="card-body">
                            <h1>TODOLIST</h1>
                            <section class="card">
                                <div class="card-body">
                                    <mat-form-field style="width: 80%;margin: 0 2%;" mat-raised-button
                                        #tooltip="matTooltip" matTooltip="Name New Task">
                                        <mat-label>Add Task</mat-label>
                                        <input matInput #inputName type="text" placeholder="Task" name="task"
                                            [(ngModel)]="task" required autocomplete="off">
                                    </mat-form-field>
                                    <button mat-raised-button color="primary" (click)="addTask()" mat-raised-button
                                        #tooltip="matTooltip" matTooltip="Add Task">Add</button>
                                </div>
                            </section>
                            <section>
                                <mat-form-field style="width: 100%;">
                                    <mat-label>Buscar</mat-label>
                                    <input matInput (keyup)="filtrar($event)" placeholder="buscar">
                                </mat-form-field>
                                <section>
                                    <table mat-table [dataSource]="dataSource" style="width: 100%;">

                                        <ng-container matColumnDef="check">
                                            <th mat-header-cell *matHeaderCellDef>Check</th>
                                            <td mat-cell *matCellDef="let item">
                                                <mat-checkbox [(ngModel)]="item.check"></mat-checkbox>
                                            </td>
                                        </ng-container>

                                        <ng-container matColumnDef="id">
                                            <th mat-header-cell *matHeaderCellDef>ID</th>
                                            <td mat-cell *matCellDef="let item"> {{item.id}} </td>
                                        </ng-container>


                                        <ng-container matColumnDef="name">
                                            <th mat-header-cell *matHeaderCellDef> Name </th>
                                            <td mat-cell *matCellDef="let item">
                                                <mat-form-field style="width: 80%;margin: 0 2%;">
                                                    <input matInput #inputName type="text" placeholder="name"
                                                        name="description_task" [(ngModel)]="item.description_task"
                                                        required autocomplete="off">
                                                </mat-form-field>
                                            </td>
                                        </ng-container>

                                        <ng-container matColumnDef="state">
                                            <th mat-header-cell *matHeaderCellDef> Name </th>
                                            <td mat-cell *matCellDef="let item">
                                                <button mat-mini-fab color="accent" *ngIf="item.id_state == 1"
                                                    mat-raised-button #tooltip="matTooltip" matTooltip="Task Finish">
                                                    <mat-icon>done</mat-icon>
                                                </button>
                                                <button mat-mini-fab color="warn" *ngIf="item.id_state == 2"
                                                    mat-raised-button #tooltip="matTooltip"
                                                    matTooltip="Task In Process">
                                                    <mat-icon>close</mat-icon>
                                                </button>
                                            </td>
                                        </ng-container>

                                        <ng-container matColumnDef="actions">
                                            <th mat-header-cell *matHeaderCellDef> Actions </th>
                                            <td mat-cell *matCellDef="let item">
                                                <button mat-raised-button color="accent" style="margin-right: 4px;"
                                                    (click)="editTask(item.id,item.description_task)">Edit</button>
                                                <button mat-raised-button color="warn" style="margin-right: 4px;"
                                                    (click)="deleteTask(item.id)">Del</button>
                                                <button mat-stroked-button color="primary" style="margin-right: 4px;"
                                                    (click)="changeState(item.id,1)">Finish Task</button>
                                                <button mat-stroked-button color="warn"
                                                    (click)="changeState(item.id,2)">Process
                                                    Task</button>
                                            </td>
                                        </ng-container>

                                        <tr mat-header-row *matHeaderRowDef="columnas"></tr>
                                        <tr mat-row *matRowDef="let row; columns: columnas;"></tr>
                                    </table>
                                    <mat-paginator [length]="length" [pageSize]="5"
                                        [pageSizeOptions]="[1, 2, 5, 10, 25, 100]" aria-label="Select page">
                                    </mat-paginator>
                                </section>
                            </section>
                            <section class="mt-5">
                                <section class="row">
                                    <div class="col-md-2">
                                        Complete ({{success}} / {{total}})
                                        <mat-progress-bar mode="determinate" [value]="success*10"></mat-progress-bar>
                                    </div>
                                    <div class="col-md-2">
                                        <mat-checkbox [(ngModel)]="stateCheck" (click)="checkAll()">check
                                            ALL</mat-checkbox>
                                    </div>
                                    <div class="col-md-2">
                                        <button mat-raised-button color="accent" (click)="actionMassive(1)">Save
                                            All</button>
                                    </div>
                                    <div class="col-md-2">
                                        <button mat-raised-button color="warn" (click)="actionMassive(2)">Delete
                                            All</button>
                                    </div>
                                    <div class="col-md-2">
                                        <button mat-stroked-button color="accent" (click)="actionMassive(3)">Finish
                                            All</button>
                                    </div>
                                    <div class="col-md-2">
                                        <button mat-stroked-button color="warn" (click)="actionMassive(4)">Proccess
                                            All</button>
                                    </div>
                                </section>
                            </section>
                        </div>
                    </div>
                </section>
            </div>
        </div>
    </section>
</main>